Bug 18048 - Bad dependency interactions between kernel-headers, kernel-source, and glibc-devel
Bad dependency interactions between kernel-headers, kernel-source, and glibc-...
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-01 22:01 EDT by J. J. Ramsey
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-01 22:01:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J. J. Ramsey 2000-10-01 22:01:02 EDT
The glibc-devel package depends on the kernel-headers package, which oddly
enough does not appear to be included in RH 7.0, and further, the
kernel-headers package conflicts with the kernel-sources package, which
*is* included with RH 7.0.
Comment 1 Bill Nottingham 2000-10-02 18:31:16 EDT
The kernel-headers package *does* exist in 7.0. I'd
check your tree to make sure it's complete.
Comment 2 J. J. Ramsey 2000-10-03 19:45:46 EDT
The kernel-headers package for the 2.4 kernel is in Red Hat 7.0, but not the
kernel-headers for the 2.2.16 kernel. Sorry that I didn't clarify. It's the
latter that I'd expect to see glibc-devel depend on, considering that it's the
2.2.16 kernel that is installed by default.

Maybe the kernel header files for 2.2.16 and 2.4 are interchangeable, but pardon
my discomfort at the idea of installing kernel-header files for 2.4 on a system
based on a 2.2.16 kernel just to satisfy the dependencies of the glibc-devel
package.

Note You need to log in before you can comment on or make changes to this bug.